﻿#region License
// Copyright (c) 2012 Mund Consulting Ltd
//
// Permission is hereby granted, free of charge, to any person
// obtaining a copy of this software and associated documentation
// files (the "Software"), to deal in the Software without
// restriction, including without limitation the rights to use,
// copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the
// Software is furnished to do so, subject to the following
// conditions:
//
// The above copyright notice and this permission notice shall be
// included in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
// EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
// NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
// HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
// WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
// OTHER DEALINGS IN THE SOFTWARE.
#endregion
using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls.WebParts;
using Microsoft.SharePoint;
using Microsoft.SharePoint.WebControls;
using System.Web;

namespace Mund.Sharepoint.Publishing.Controls
{
    /// <summary>
    /// 
    /// </summary>
    public partial class EditFieldControl : UserControl
    {
       
        #region Members
        string fieldName;
        BaseFieldControl baseControl;
        SPItem item = SPContext.Current.Item;
        // Literal litField;
        #endregion

        #region Properties
        public string FieldName
        {
            get
            {
                return fieldName;
            }
            set
            {
                fieldName = value;
            }
        }

        public BaseFieldControl BaseControl
        {
            get
            {
                return baseControl;
            }
            set
            {
                baseControl = value;
            }
        }
        #endregion

        #region Event Handlers
        /// <summary>
        /// Renders the Base Control of a site column.
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            WebPartManager wpManager = WebPartManager.GetCurrentWebPartManager(Page);
            if (item.Fields.ContainsField(FieldName))
            {
                baseControl = item.Fields[FieldName].FieldRenderingControl;
                if (wpManager.DisplayMode == WebPartManager.DesignDisplayMode)
                {
                    baseControl.ControlMode = SPControlMode.Edit;
                }
                this.Controls.Add(baseControl);
            }
        }
        #endregion
    }
}
