﻿<!--#region License
// Copyright (c) 2012 Mund Consulting Ltd
//
// Permission is hereby granted, free of charge, to any person
// obtaining a copy of this software and associated documentation
// files (the "Software"), to deal in the Software without
// restriction, including without limitation the rights to use,
// copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the
// Software is furnished to do so, subject to the following
// conditions:
//
// The above copyright notice and this permission notice shall be
// included in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
// EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
// NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
// HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
// WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
// OTHER DEALINGS IN THE SOFTWARE.
#endregion-->
<%@ Assembly Name="$SharePoint.Project.AssemblyFullName$" %>
<%@ Import Namespace="Microsoft.SharePoint.ApplicationPages" %>
<%@ Register Tagprefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="asp" Namespace="System.Web.UI" Assembly="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" %>
<%@ Import Namespace="Microsoft.SharePoint" %>
<%@ Assembly Name="Microsoft.Web.CommandUI, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ChangeWelcomePage.aspx.cs" Inherits="Mund.Sharepoint.Publishing.ChangeWelcomePage" DynamicMasterPageFile="~masterurl/default.master" %>

<asp:Content ID="PageHead" ContentPlaceHolderID="PlaceHolderAdditionalPageHead" runat="server">

<script type="text/javascript" src="<%= SPContext.Current.Site.RootWeb.Url %>/Scripts/DialogUrlPicker.js"></script>
<script type="text/javascript">
    function doCall() {
        call('modals/urlpicker.aspx', '<%= this.tbxWelcomePageUrl.ClientID%>', 'Select Value', 600, 500);
    }
</script>


</asp:Content>



<asp:Content ID="PageTitle" ContentPlaceHolderID="PlaceHolderPageTitle" runat="server">
<asp:Literal ID="litChangeWelcomePage" runat="server" Text="<%$Resources:MundPublishingResource,changeWelcomePage%>" />
</asp:Content>

<asp:Content ID="PageTitleInTitleArea" ContentPlaceHolderID="PlaceHolderPageTitleInTitleArea" runat="server" >
<asp:Literal ID="litChangeWelcomePage1" runat="server" Text="<%$Resources:MundPublishingResource,changeWelcomePage%>" />
</asp:Content>


<asp:Content ID="Main" ContentPlaceHolderID="PlaceHolderMain" runat="server">

    <div class="ms-bodyareacell">
        <div id="ctl00_MSO_ContentDiv">
            <a name="mainContent"></a>
            <table class="propertysheet" border="0" width="100%" cellspacing="0" cellpadding="0"
                id="diidProjectPageOverview">
                <tbody>
                    <tr id="ctl00_PlaceHolderMain_ctl00_tablerow1">
                        <td class="ms-sectionline" height="1" colspan="2">
                            <img src="/_layouts/images/blank.gif" width="1" height="1" alt="">
                        </td>
                    </tr>
                    <tr id="ctl00_PlaceHolderMain_ctl00">
                        <td class="ms-descriptiontext" valign="top">
                            <table border="0" cellpadding="1" cellspacing="0" width="100%">
                                <tbody>
                                    <tr>
                                        <td class="ms-sectionheader" style="padding-top: 4px;" height="22" valign="top">
                                            <h3 class="ms-standardheader ms-inputformheader">
                                               <asp:Literal ID="litWelcome" runat="server" Text="<%$Resources:MundPublishingResource,welcomePageTitle%>" />
                                            </h3>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="ms-descriptiontext ms-inputformdescription">
                                        <asp:Literal ID="litWelcomeDescription" runat="server" Text="<%$Resources:MundPublishingResource,welcomeDescription%>" />
                                            
                                        </td>
                                        <td>
                                            <img src="/_layouts/images/blank.gif" width="8" height="1" alt="">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <img src="/_layouts/images/blank.gif" width="150" height="19" alt="">
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </td>
                        <td class="ms-authoringcontrols ms-inputformcontrols" valign="top" align="left">
                            <table border="0" width="100%" cellspacing="0" cellpadding="0">
                                <tbody>
                                    <tr>
                                        <td width="9px">
                                            <img src="/_layouts/images/blank.gif" width="9" height="7" alt="">
                                        </td>
                                        <td>
                                            <img src="/_layouts/images/blank.gif" width="150" height="7" alt="">
                                        </td>
                                        <td width="10px">
                                            <img src="/_layouts/images/blank.gif" width="10" height="1" alt="">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                        </td>
                                        <td class="ms-authoringcontrols">
                                            <table class="ms-authoringcontrols" border="0" width="100%" cellspacing="0" cellpadding="0">
                                                <tbody>
                                                    <tr id="ct_PlaceHolder_tablerow1">
                                                        <td class="ms-authoringcontrols" colspan="2">
                                                            <span id="ctl00_PlaceHolderMain_ctl00_ctl00_LiteralLabelText">
                                                            <asp:Literal ID="litwelkom" runat="server" Text="<%$Resources:MundPublishingResource,welkom%>" />
                                                            </span>
                                                        </td>
                                                    </tr>
                                                    <tr id="ct_PlaceHolder_tablerow2">
                                                        <td>
                                                            <img src="/_layouts/images/blank.gif" width="1" height="3" style="display: block"
                                                                alt="">
                                                        </td>
                                                    </tr>
                                                    <!-- End Right_Text -->
                                                    <tr id="ct_PlaceHolder_tablerow3">
                                                        <td width="11px">
                                                            <img src="/_layouts/images/blank.gif" width="11" height="1" style="display: block"
                                                                alt="">
                                                        </td>
                                                        <td class="ms-authoringcontrols" width="99%">
                                                            <asp:TextBox ID="tbxWelcomePageUrl" runat="server" class="ms-input" dir="ltr" size="35"
                                                                excludefromspellcheck="true" alwaysenablesilent="true"></asp:TextBox>
                                                            <span id="WelcomePageSelector">
                                                                <label style="display: none;">
                                                                    <asp:Literal ID="Literal1" runat="server" Text="<%$Resources:MundPublishingResource,welkom%>" />
                                                                    </label><nobr>&nbsp;
                        <input id="iptBrowse" runat="server" type="button" value="<%$Resources:MundPublishingResource,browse%>" onclick="javascript:doCall();" class="ms-ButtonHeightWidth" /></nobr>
                                                            </span>&nbsp;
                                                        </td>
                                                    </tr>
                                                    <tr id="ct_PlaceHolder_tablerow5">
                                                        <td>
                                                            <img src="/_layouts/images/blank.gif" width="1" height="6" style="display: block"
                                                                alt="">
                                                        </td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </td>
                                        <td width="10px">
                                            <img src="/_layouts/images/blank.gif" width="10" height="1" alt="" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                        </td>
                                        <td>
                                            <img src="/_layouts/images/blank.gif" width="150" height="13" alt="" />
                                        </td>
                                        <td>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td height="2px" class="ms-sectionline" colspan="2">
                            <img src="/_layouts/images/blank.gif" width="1" height="1" alt="" />
                        </td>
                    </tr>
                    <tr>
                        <td height="10px" class="ms-descriptiontext" colspan="2">
                            <img src="/_layouts/images/blank.gif" width="1" height="10" alt="">
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <table cellpadding="0" cellspacing="0" width="100%">
                                <colgroup>
                                    <col width="99%">
                                    <col width="1%">
                                </colgroup>
                                <tbody>
                                    <tr>
                                        <td>
                                            &nbsp;
                                        </td>
                                        <td nowrap="nowrap">
                                            <asp:Button ID="btnOk" runat="server" Text="<%$Resources:MundPublishingResource,ok%>" OnClick="SetWelcomePage" class="ms-ButtonHeightWidth" />&nbsp;
                                            <asp:Button ID="btnCancel" runat="server" Text="<%$Resources:MundPublishingResource,cancel%>" OnClick="DoCancel" class="ms-ButtonHeightWidth" />
                                            <span id="idSpace" class="ms-SpaceBetButtons"></span>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td height="40" class="ms-descriptiontext s4-notdlg" colspan="2">
                            <img src="/_layouts/images/blank.gif" width="1" height="40" alt="">
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>



</asp:Content>