﻿<!--#region License
// Copyright (c) 2012 Mund Consulting Ltd
//
// Permission is hereby granted, free of charge, to any person
// obtaining a copy of this software and associated documentation
// files (the "Software"), to deal in the Software without
// restriction, including without limitation the rights to use,
// copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the
// Software is furnished to do so, subject to the following
// conditions:
//
// The above copyright notice and this permission notice shall be
// included in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
// EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
// NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
// HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
// WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
// OTHER DEALINGS IN THE SOFTWARE.
#endregion-->
<%@ Assembly Name="$SharePoint.Project.AssemblyFullName$" %>
<%@ Import Namespace="Microsoft.SharePoint.ApplicationPages" %>
<%@ Register TagPrefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls"
    Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="asp" Namespace="System.Web.UI" Assembly="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" %>
<%@ Import Namespace="Microsoft.SharePoint" %>
<%@ Assembly Name="Microsoft.Web.CommandUI, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>

<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Navigation.aspx.cs" Inherits="Mund.Sharepoint.Publishing.Navigation"
    DynamicMasterPageFile="~masterurl/default.master" %>

<asp:Content ID="PageHead" ContentPlaceHolderID="PlaceHolderAdditionalPageHead" runat="server">
    <script type="text/javascript" src="<%= SPContext.Current.Site.RootWeb.Url %>/Scripts/DialogUrlPicker.js"></script>
    <style type="text/css">
        .linktbl
        {
            width: 100%;
        }
        
        .linktbl td
        {
            text-align: center;
        }
        .linktbl td a
        {
            text-decoration: none;
            display: block;
        }
        .tbladdtitle
        {
            width: 100%;
        }
        
        .tbladdtitle td
        {
            vertical-align: top;
            text-align: left;
        }
        .addTitle
        {
            display: none;
            position: absolute;
            right: 0px;
            border: 2px solid #d7d7d7;
            background-color: White;
            height: 200px;
            width: 300px;
            top: 0px;
            padding: 20px;
        }
    </style>
    <script type="text/javascript">
        function showdiv() {
            var ele = document.getElementById('<%= this.AddTitlePanel.ClientID %>');
            ele.style.display = 'block';
        }

        function showError() {
            var ele = document.getElementById('<%= this.error.ClientID %>');
            alert(ele.title);
        }
        function doCall() {
            call('modals/urlpicker.aspx', '<%= this.tbxUrl.ClientID%>', 'Select Value', 600, 500);
        }
    
    
    </script>
</asp:Content>
<asp:Content ID="PageTitle" ContentPlaceHolderID="PlaceHolderPageTitle" runat="server">
    <asp:Literal ID="litNavigation" runat="server" Text="<%$Resources:MundPublishingResource,navigation%>" />
</asp:Content>
<asp:Content ID="PageTitleInTitleArea" ContentPlaceHolderID="PlaceHolderPageTitleInTitleArea"
    runat="server">
    <asp:Literal ID="litNavigation1" runat="server" Text="<%$Resources:MundPublishingResource,navigation%>" />
</asp:Content>
<asp:Content ID="Main" ContentPlaceHolderID="PlaceHolderMain" runat="server">
    <div class="ms-bodyareacell">
        <div id="ctl00_MSO_ContentDiv">
            <a name="mainContent"></a>
            <table class="propertysheet" border="0" width="100%" cellspacing="0" cellpadding="0"
                id="diidProjectPageOverview">
                <tbody>
                    <tr id="ctl00_PlaceHolderMain_ctl00_tablerow1">
                        <td class="ms-sectionline" height="1" colspan="2">
                            <img src="/_layouts/images/blank.gif" width="1" height="1" alt="" />
                        </td>
                    </tr>
                    <tr id="ctl00_PlaceHolderMain_ctl00">
                        <td class="ms-descriptiontext" valign="top">
                            <table border="0" cellpadding="1" cellspacing="0" width="100%">
                                <tbody>
                                    <tr>
                                        <td class="ms-sectionheader" style="padding-top: 4px;" height="22" valign="top">
                                            <h3 class="ms-standardheader ms-inputformheader">
                                                <asp:Literal ID="litNavigation2" runat="server" Text="<%$Resources:MundPublishingResource,navigation%>" />
                                            </h3>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="ms-descriptiontext ms-inputformdescription">
                                            <asp:Literal ID="litNavDescription" runat="server" Text="<%$Resources:MundPublishingResource,navDescription%>" />
                                        </td>
                                        <td>
                                            <img src="/_layouts/images/blank.gif" width="8" height="1" alt="" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <img src="/_layouts/images/blank.gif" width="150" height="19" alt="">
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </td>
                        <td class="ms-authoringcontrols ms-inputformcontrols" valign="top" align="left">
                            <table border="0" width="100%" cellspacing="0" cellpadding="0">
                                <tbody>
                                    <tr>
                                        <td width="9px">
                                            <img src="/_layouts/images/blank.gif" width="9" height="7" alt="">
                                        </td>
                                        <td>
                                            <img src="/_layouts/images/blank.gif" width="150" height="7" alt="">
                                        </td>
                                        <td width="10px">
                                            <img src="/_layouts/images/blank.gif" width="10" height="1" alt="">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">
                                            <asp:CheckBox ID="chBxInheritParent" AutoPostBack="true" OnCheckedChanged="InheritParentNavigation"
                                                runat="server" Text="<%$Resources:MundPublishingResource,inheriParent%>" Style="margin-left: 30px"></asp:CheckBox><br />
                                            <br />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                        </td>
                                        <td class="ms-authoringcontrols">
                                            <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                                                <contenttemplate>
                                            <table class="ms-authoringcontrols" border="0" width="100%" cellspacing="0" cellpadding="0">
                                                <tbody>
                                                    <tr id="ct_PlaceHolder_tablerow1">
                                                        <td class="ms-authoringcontrols" colspan="2">
                                                            <table class="linktbl">
                                                                <tr>
                                                                    <td>
                                                                        <asp:LinkButton ID="lnkGoUp" runat="server" OnClick="GoUp">
                                                                          <asp:Literal ID="litUp" runat="server" Text="<%$Resources:MundPublishingResource,up%>" />
                                                                        </asp:LinkButton>
                                                                    </td>
                                                                    <td>
                                                                        <asp:LinkButton ID="lnkGoDown" runat="server" OnClick="GoDown">
                                                                        <asp:Literal ID="litDown" runat="server" Text="<%$Resources:MundPublishingResource,down%>" />
                                                                        </asp:LinkButton>
                                                                    </td>
                                                                    <td>
                                                                        <asp:LinkButton ID="lnkDelete" runat="server" OnClick="DeleteNode">
                                                                        <asp:Literal ID="litDelete" runat="server" Text="<%$Resources:MundPublishingResource,delete%>" />
                                                                        </asp:LinkButton>
                                                                    </td>
                                                                    <td>
                                                                        <asp:LinkButton ID="lnkEdit" runat="server" OnClick="EditNode">
                                                                        <asp:Literal ID="litEdit" runat="server" Text="<%$Resources:MundPublishingResource,edit%>" />
                                                                        </asp:LinkButton>
                                                                    </td>
                                                                    <td>
                                                                        <a href="javascript:showdiv();"><asp:Literal ID="litAddNewTitle" runat="server" Text="<%$Resources:MundPublishingResource,addNewTitle%>" /></a>
                                                                        <div style="position: relative">
                                                                            <div runat="server" id="AddTitlePanel" class="addTitle">
                                                                                <table class="tbladdtitle">
                                                                                    <tr>
                                                                                        <td>
                                                                                            <asp:Literal ID="litTitle" runat="server" Text="<%$Resources:MundPublishingResource,titel%>" />
                                                                                        </td>
                                                                                        <td>
                                                                                            <asp:TextBox ID="tbxTitle" Width="160px" runat="server"></asp:TextBox>
                                                                                        </td>
                                                                                    </tr>
                                                                                    <tr>
                                                                                        <td>
                                                                                            <asp:Literal ID="litUrl" runat="server" Text="<%$Resources:MundPublishingResource,url%>" />
                                                                                        </td>
                                                                                        <td>
                                                                                            <asp:TextBox ID="tbxUrl" Width="160px" runat="server"></asp:TextBox><input id="inptbrowse" runat="server"
                                                                                                type="button" onclick="javascript:doCall();" value="<%$Resources:MundPublishingResource,browse%>" />
                                                                                        </td>
                                                                                    </tr>
                                                                                    <tr>
                                                                                        <td colspan="2">
                                                                                            <asp:CheckBox ID="chBxExternalLink" runat="server" Text="<%$Resources:MundPublishingResource,externalLink%>" />
                                                                                        </td>
                                                                                    </tr>
                                                                                    <tr>
                                                                                        <td colspan="2">
                                                                                            <asp:CheckBox ID="chBxNewWindow" runat="server" Text="<%$Resources:MundPublishingResource,newWindow%>" />
                                                                                        </td>
                                                                                    </tr>
                                                                                    <tr>
                                                                                        <td>
                                                                                            <asp:Literal ID="litUser" runat="server" Text="<%$Resources:MundPublishingResource,user%>" />
                                                                                        </td>
                                                                                        <td>
                                                                                            <SharePoint:PeopleEditor AllowEmpty="true" ID="pEditGroup" runat="server" Width="210px"
                                                                                                PlaceButtonsUnderEntityEditor="false" />
                                                                                        </td>
                                                                                    </tr>
                                                                                    <tr>
                                                                                        <td>
                                                                                            &nbsp;
                                                                                        </td>
                                                                                        <td>
                                                                                            <asp:Button ID="btnAddTitle" runat="server" OnClick="AddTitle" Text="<%$Resources:MundPublishingResource,save%>" width="80px"
                                                                                                CommandArgument="add" />
                                                                                            <asp:Button ID="btnCancel" runat="server" OnClick="Cancel" Text="<%$Resources:MundPublishingResource,cancel%>" width="80px" />
                                                                                        </td>
                                                                                    </tr>
                                                                                    <tr>
                                                                                    <td>
                                                                                    <asp:Image ID="error" runat="server" ImageUrl="~/_layouts/images/errorheader.png" Visible="false" OnClick="showError();" />
                                                                                    </td>
                                                                                    </tr>
                                                                                </table>
                                                                            </div>
                                                                        </div>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                    <tr id="ct_PlaceHolder_tablerow2">
                                                        <td>
                                                            <img src="/_layouts/images/blank.gif" width="1" height="3" style="display: block"
                                                                alt="" />
                                                        </td>
                                                    </tr>
                                                    <!-- End Right_Text -->
                                                    <tr id="ct_PlaceHolder_tablerow3">
                                                        <td width="11px">
                                                            <img src="/_layouts/images/blank.gif" width="11" height="1" style="display: block"
                                                                alt="">
                                                        </td>
                                                        <td class="ms-authoringcontrols" width="99%" style="border: 1px solid #d7d7d7;">
                                                            <span id="WelcomePageSelector">
                                                                <label style="display: none;">
                                                                </label>
                                                                <nobr>&nbsp;</nobr>
                                                            </span>&nbsp;
                                                            <asp:TreeView ID="trvTopNav" runat="server" ShowLines="true" ExpandDepth="FullyExpand"
                                                                SelectedNodeStyle-BackColor="#B7DBFF">
                                                            </asp:TreeView>
                                                        </td>
                                                    </tr>
                                                    <tr id="ct_PlaceHolder_tablerow5">
                                                        <td>
                                                            <img src="/_layouts/images/blank.gif" width="1" height="6" style="display: block"
                                                                alt="" />
                                                        </td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                            </contenttemplate>
                                            </asp:UpdatePanel>
                                        </td>
                                        <td width="10px">
                                            <img src="/_layouts/images/blank.gif" width="10" height="1" alt="" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                        </td>
                                        <td>
                                            <img src="/_layouts/images/blank.gif" width="150" height="13" alt="" />
                                        </td>
                                        <td>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td height="2px" class="ms-sectionline" colspan="2">
                            <img src="/_layouts/images/blank.gif" width="1" height="1" alt="" />
                        </td>
                    </tr>
                    <tr>
                        <td height="10px" class="ms-descriptiontext" colspan="2">
                            <img src="/_layouts/images/blank.gif" width="1" height="10" alt="" />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <table cellpadding="0" cellspacing="0" width="100%">
                                <colgroup>
                                    <col width="99%" />
                                    <col width="1%" />
                                </colgroup>
                                <tbody>
                                    <tr>
                                        <td>
                                            &nbsp;
                                        </td>
                                        <td nowrap="nowrap">
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td height="40" class="ms-descriptiontext s4-notdlg" colspan="2">
                            <img src="/_layouts/images/blank.gif" width="1" height="40" alt="" />
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</asp:Content>
