﻿#region License
// Copyright (c) 2012 Mund Consulting Ltd
//
// Permission is hereby granted, free of charge, to any person
// obtaining a copy of this software and associated documentation
// files (the "Software"), to deal in the Software without
// restriction, including without limitation the rights to use,
// copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the
// Software is furnished to do so, subject to the following
// conditions:
//
// The above copyright notice and this permission notice shall be
// included in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
// EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
// NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
// HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
// WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
// OTHER DEALINGS IN THE SOFTWARE.
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.SharePoint.WebControls;
using System.Web.UI;
using System.Web;

namespace Mund.Sharepoint.Publishing
{
   /// <summary>
   /// This handles Ribbon Button: Save & Continue Editing
   /// </summary>
    public class KeepEditingSave : SPRibbonCommandHandler
    {
        public KeepEditingSave(SPPageStateControl psc)
            : base(psc)
        {
        }
        public override string ClientSideCommandId
		{
			get
			{
				return "PageStateGroupSave";
			}
		}
		public override string HandlerCommand
		{
			get
			{
				return base.DefaultPostbackHandlerCommand;
			}
		}
		public override string IsEnabledHandler
		{
			get
			{
				return "SP.Ribbon.PageState.Handlers.isSaveEnabled();";
			}
		}
    }
}
