﻿#region License
// Copyright (c) 2012 Mund Consulting Ltd
//
// Permission is hereby granted, free of charge, to any person
// obtaining a copy of this software and associated documentation
// files (the "Software"), to deal in the Software without
// restriction, including without limitation the rights to use,
// copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the
// Software is furnished to do so, subject to the following
// conditions:
//
// The above copyright notice and this permission notice shall be
// included in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
// EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
// NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
// HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
// WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
// OTHER DEALINGS IN THE SOFTWARE.
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Mund.Sharepoint.Publishing.WebParts
{
    public class EditorRender
    {
        /// <summary>
        /// Starts HTML div tag for heading
        /// </summary>
        /// <returns></returns>
        public static string HeadDivStart()
        {
            return "<div class=\"UserSectionHead\">";
        }

        /// <summary>
        /// Ends a HTML div tag
        /// </summary>
        /// <returns></returns>
        public static string DivEnd()
        {
            return "</div>";
        }

        /// <summary>
        /// Starts HTML div tag for controls
        /// </summary>
        /// <returns></returns>
        public static string BodyDivStart()
        {
            return "<div class=\"UserSectionBody\"><div class=\"UserControlGroup\">";
        }

        /// <summary>
        /// Ends a HTML div tag for controls
        /// </summary>
        /// <returns></returns>
        public static string BodyDivEnd()
        {
            return "</div></div>";
        }

        /// <summary>
        /// Renders Bottom Line
        /// </summary>
        /// <returns></returns>
        public static string BottomLine()
        {
            return "<div style=\"width:100%\" class=\"UserDottedLine\" ></div>";
        }


        /// <summary>
        /// Returns CAML for fieldview columns
        /// </summary>
        /// <param name="columns"></param>
        /// <returns></returns>
        //public static string Select(string[] columns)
        //{
        //    StringBuilder sb = new StringBuilder();
        //    foreach (string strCol in columns)
        //    {
        //        sb.Append("<FieldRef Name='" + strCol + "' />");
        //    }
        //    return sb.ToString();
        //}
    }
}
